%global pypi_name rich
%global commitId 656b7a185d7f7c3a1f28e58f74683d03ab4349a9

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:          python%{?component_prefix}-%{pypi_name}
Version:       12.0.0
Release:       1%{?dist}
Summary:       Python Rich

License:       MIT
URL:           https://github.com/Textualize/rich
Source0:       python-rich-656b7a185d7f7c3a1f28e58f74683d03ab4349a9.tar.gz
BuildArch:     noarch

BuildRequires: python%{python3_pkgversion}-devel
BuildRequires: python%{python3_pkgversion}-rpm-macros
BuildRequires: python%{python3_pkgversion}-setuptools

%description
Rich is a Python library for rich text and beautiful formatting in the terminal.

%package -n python%{python3_pkgversion}-%{pypi_name}

Summary:       Python Rich

Requires:      python%{python3_pkgversion}-commonmark >= 0.9.0
Requires:      python%{python3_pkgversion}-pygments >= 2.6.0

%description -n python%{python3_pkgversion}-%{pypi_name}
Rich is a Python library for rich text and beautiful formatting in the terminal.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

cat > setup.py<<EOF
from setuptools import setup
setup_kwargs = {
    'name': '%{pypi_name}',
    'version': '%{version}',
    'description': 'Render rich text, tables, progress bars, syntax highlighting, markdown and more to the terminal',
    'author': 'Will McGugan',
    'author_email': 'willmcgugan@gmail.com',
    'license': '%{license}',
    'url': '%{url}',
    'packages': ['rich'],
    'package_data': {'': ['*']},
    'install_requires': ['commonmark>=0.9.0,<0.10.0', 'pygments>=2.6.0,<3.0.0'],
}
setup(**setup_kwargs)
EOF

%build
%{py3_build}

%install
%{py3_install}

%files -n python%{python3_pkgversion}-%{pypi_name}
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%license LICENSE
%doc CHANGELOG.md README*.md

%changelog
* Mon Mar 14 2022 Dimitri Savineau <dsavinea@redhat.com> - 12.0.0-1
- Initial package
